From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/coderay/
Date: Thu, 31 Mar 2022 05:39:29 +0000 (UTC) [thread overview]
Message-ID: <1648705162.d2d788d1168524be174b6fc463442d4c4569617d.graaff@gentoo> (raw)
commit: d2d788d1168524be174b6fc463442d4c4569617d
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 30 06:43:20 2022 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Mar 31 05:39:22 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2d788d1
dev-ruby/coderay: update EAPI 7 -> 8
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/coderay/coderay-1.1.3-r2.ebuild | 46 ++++++++++++++++++++++++++++++++
1 file changed, 46 insertions(+)
diff --git a/dev-ruby/coderay/coderay-1.1.3-r2.ebuild b/dev-ruby/coderay/coderay-1.1.3-r2.ebuild
new file mode 100644
index 000000000000..e02963145021
--- /dev/null
+++ b/dev-ruby/coderay/coderay-1.1.3-r2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+# The test target also contains test:exe but that requires
+# shoulda-context which we do not have packaged yet.
+RUBY_FAKEGEM_TASK_TEST="spec test:functional test:units"
+
+RUBY_FAKEGEM_TASK_DOC="doc"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="Changes-pre-1.0.textile Changes.textile FOLDERS README_INDEX.rdoc README.markdown"
+
+RUBY_FAKEGEM_GEMSPEC="coderay.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby library for syntax highlighting"
+HOMEPAGE="http://coderay.rubychan.de/"
+SRC_URI="https://github.com/rubychan/coderay/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+PATCHES=("${FILESDIR}/${P}-ruby30.patch")
+
+# Redcloth is an optional but automagically tested dependency. This
+# requires redcloth-4.2.2. We don't depend on this version to make
+# bootstrapping rspec with new versions easier, since redcloth depends
+# on rake-compiler.
+
+ruby_add_bdepend "test? ( dev-ruby/rspec:3 )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+ sed -i -e '/git ls-files/ s:^:#:' -e 's/.rc.*"/"/' coderay.gemspec || die
+ sed -i -e '/simplecov/ s:^:#:' spec/spec_helper.rb test/*/*.rb || die
+
+ # Fix failing tests for lazy evaluation in ruby26
+ sed -i -e 's/\.filter$/.filter.to_a/' test/unit/filter.rb || die
+}
next reply other threads:[~2022-03-31 5:39 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-03-31 5:39 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-30 18:51 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/coderay/ Hans de Graaff
2023-12-30 7:43 Hans de Graaff
2023-07-14 5:46 Arthur Zamarin
2023-03-10 9:08 Hans de Graaff
2023-01-21 9:08 Hans de Graaff
2022-12-18 10:18 Sam James
2022-12-18 10:18 Sam James
2022-12-18 10:18 Sam James
2022-12-18 10:06 Sam James
2022-12-18 10:06 Sam James
2022-12-18 10:06 Sam James
2022-12-18 10:06 Sam James
2022-05-08 16:12 WANG Xuerui
2021-08-02 21:48 Marek Szuba
2021-03-09 6:51 Hans de Graaff
2020-09-19 5:35 Hans de Graaff
2020-06-06 9:02 Hans de Graaff
2020-06-02 4:49 Hans de Graaff
2019-12-26 15:41 Hans de Graaff
2019-03-30 19:50 Mikle Kolyada
2018-12-28 11:13 Hans de Graaff
2017-12-26 7:06 Hans de Graaff
2017-12-25 7:05 Hans de Graaff
2017-12-24 8:49 Markus Meier
2017-11-30 20:06 Sergei Trofimovich
2017-11-30 20:06 Sergei Trofimovich
2017-11-27 8:50 Sergei Trofimovich
2017-11-26 13:25 Hans de Graaff
2017-10-23 18:42 Thomas Deutschmann
2017-10-22 21:42 Tobias Klausmann
2017-10-22 7:11 Hans de Graaff
2017-10-21 10:19 Sergei Trofimovich
2017-10-21 9:10 Sergei Trofimovich
2017-10-21 7:27 Hans de Graaff
2017-09-04 5:22 Hans de Graaff
2017-08-23 21:43 Sergei Trofimovich
2017-06-28 9:35 Alexis Ballier
2016-12-28 8:14 Hans de Graaff
2016-11-25 10:10 Hans de Graaff
2016-10-02 9:22 Jeroen Roovers
2016-05-26 14:39 Tobias Klausmann
2016-04-10 0:01 Manuel Rüger
2016-03-17 10:50 Agostino Sarubbo
2016-03-15 14:40 Agostino Sarubbo
2016-03-13 12:34 Markus Meier
2016-03-07 21:14 Hans de Graaff
2016-02-21 11:19 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1648705162.d2d788d1168524be174b6fc463442d4c4569617d.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox